Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001983OCamlOCaml generalpublic2003-12-17 07:322012-01-27 11:52
Reporteradministrator 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version3.11.0 
Summary0001983: RFE: ability to compile a native code OCaml library into an .so (w/o strict version checking)
DescriptionFull_Name: Aleksey Nogin
Version: 3.07+2
OS: Red Hat Linux
Submission from: charter-242-037.caltech.edu (131.215.242.37)


It would be really nice if it was possible:

a) to compile a native code OCaml library into an dynamic library (.so)
b) then link an OCaml program against an OCaml .so,
c) dynamically load and OCaml .so from an OCaml program. Ideally, the interface
for doing it would be shared between the bytecode (for dynloading of .cmo) and
native code (for dynloading of .so/.cmxa)

I know that there are a lot of issues if one insists on some smart version
compatibility checking. This RFE is _not_ about that - I would be happy if the
generated libraries were strongly tied to the environment in which they were
compiled and any slight change would require a recompile.

Basically, our project (http://metaprl.org/ [^]) will benefit significantly if it
was possible to load modules at runtime - both in bytecode (similarly to the way
camlp4 does it) and native code.

P.S. http://www.boblycat.org/~malc/scaml/ [^] implements something like this.

TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0006821)
xleroy (administrator)
2012-01-27 11:52

Dynamic loading of natively-compiled OCaml code was implemented in version 3.11.0.

- Issue History
Date Modified Username Field Change
2005-11-18 10:13 administrator New Issue
2012-01-27 11:52 xleroy Note Added: 0006821
2012-01-27 11:52 xleroy Status acknowledged => closed
2012-01-27 11:52 xleroy Resolution open => fixed
2012-01-27 11:52 xleroy Fixed in Version => 3.11.0
2012-01-27 11:52 xleroy Description Updated View Revisions


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker